Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network92.167.128.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
92.167.128.0
Broadcast address
92.167.255.255
First usable
92.167.128.1
Last usable
92.167.255.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Public public
Old class
A (default /8)
As numbers
Hex 5CA78000 · Integer 1554481152 to 1554513919
Reverse DNS zones
128.167.92.in-addr.arpa
129.167.92.in-addr.arpa
130.167.92.in-addr.arpa
131.167.92.in-addr.arpa
132.167.92.in-addr.arpa
133.167.92.in-addr.arpa
134.167.92.in-addr.arpa
135.167.92.in-addr.arpa
136.167.92.in-addr.arpa
137.167.92.in-addr.arpa
138.167.92.in-addr.arpa
139.167.92.in-addr.arpa
140.167.92.in-addr.arpa
141.167.92.in-addr.arpa
142.167.92.in-addr.arpa
143.167.92.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01011100.10100111.10000000.0000000092.167.128.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network01011100.10100111.10000000.0000000092.167.128.0
Broadcast01011100.10100111.11111111.1111111192.167.255.255
Split into smaller subnets/24

92.167.128.0/17 makes 128 subnets of /24.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
192.167.128.0/2492.167.128.1 to 92.167.128.25492.167.128.255254
292.167.129.0/2492.167.129.1 to 92.167.129.25492.167.129.255254
392.167.130.0/2492.167.130.1 to 92.167.130.25492.167.130.255254
492.167.131.0/2492.167.131.1 to 92.167.131.25492.167.131.255254
592.167.132.0/2492.167.132.1 to 92.167.132.25492.167.132.255254
692.167.133.0/2492.167.133.1 to 92.167.133.25492.167.133.255254
792.167.134.0/2492.167.134.1 to 92.167.134.25492.167.134.255254
892.167.135.0/2492.167.135.1 to 92.167.135.25492.167.135.255254
992.167.136.0/2492.167.136.1 to 92.167.136.25492.167.136.255254
1092.167.137.0/2492.167.137.1 to 92.167.137.25492.167.137.255254
1192.167.138.0/2492.167.138.1 to 92.167.138.25492.167.138.255254
1292.167.139.0/2492.167.139.1 to 92.167.139.25492.167.139.255254
1392.167.140.0/2492.167.140.1 to 92.167.140.25492.167.140.255254
1492.167.141.0/2492.167.141.1 to 92.167.141.25492.167.141.255254
1592.167.142.0/2492.167.142.1 to 92.167.142.25492.167.142.255254
1692.167.143.0/2492.167.143.1 to 92.167.143.25492.167.143.255254
1792.167.144.0/2492.167.144.1 to 92.167.144.25492.167.144.255254
1892.167.145.0/2492.167.145.1 to 92.167.145.25492.167.145.255254
1992.167.146.0/2492.167.146.1 to 92.167.146.25492.167.146.255254
2092.167.147.0/2492.167.147.1 to 92.167.147.25492.167.147.255254
2192.167.148.0/2492.167.148.1 to 92.167.148.25492.167.148.255254
2292.167.149.0/2492.167.149.1 to 92.167.149.25492.167.149.255254
2392.167.150.0/2492.167.150.1 to 92.167.150.25492.167.150.255254
2492.167.151.0/2492.167.151.1 to 92.167.151.25492.167.151.255254
2592.167.152.0/2492.167.152.1 to 92.167.152.25492.167.152.255254
2692.167.153.0/2492.167.153.1 to 92.167.153.25492.167.153.255254
2792.167.154.0/2492.167.154.1 to 92.167.154.25492.167.154.255254
2892.167.155.0/2492.167.155.1 to 92.167.155.25492.167.155.255254
2992.167.156.0/2492.167.156.1 to 92.167.156.25492.167.156.255254
3092.167.157.0/2492.167.157.1 to 92.167.157.25492.167.157.255254
3192.167.158.0/2492.167.158.1 to 92.167.158.25492.167.158.255254
3292.167.159.0/2492.167.159.1 to 92.167.159.25492.167.159.255254
3392.167.160.0/2492.167.160.1 to 92.167.160.25492.167.160.255254
3492.167.161.0/2492.167.161.1 to 92.167.161.25492.167.161.255254
3592.167.162.0/2492.167.162.1 to 92.167.162.25492.167.162.255254
3692.167.163.0/2492.167.163.1 to 92.167.163.25492.167.163.255254
3792.167.164.0/2492.167.164.1 to 92.167.164.25492.167.164.255254
3892.167.165.0/2492.167.165.1 to 92.167.165.25492.167.165.255254
3992.167.166.0/2492.167.166.1 to 92.167.166.25492.167.166.255254
4092.167.167.0/2492.167.167.1 to 92.167.167.25492.167.167.255254
4192.167.168.0/2492.167.168.1 to 92.167.168.25492.167.168.255254
4292.167.169.0/2492.167.169.1 to 92.167.169.25492.167.169.255254
4392.167.170.0/2492.167.170.1 to 92.167.170.25492.167.170.255254
4492.167.171.0/2492.167.171.1 to 92.167.171.25492.167.171.255254
4592.167.172.0/2492.167.172.1 to 92.167.172.25492.167.172.255254
4692.167.173.0/2492.167.173.1 to 92.167.173.25492.167.173.255254
4792.167.174.0/2492.167.174.1 to 92.167.174.25492.167.174.255254
4892.167.175.0/2492.167.175.1 to 92.167.175.25492.167.175.255254
4992.167.176.0/2492.167.176.1 to 92.167.176.25492.167.176.255254
5092.167.177.0/2492.167.177.1 to 92.167.177.25492.167.177.255254
5192.167.178.0/2492.167.178.1 to 92.167.178.25492.167.178.255254
5292.167.179.0/2492.167.179.1 to 92.167.179.25492.167.179.255254
5392.167.180.0/2492.167.180.1 to 92.167.180.25492.167.180.255254
5492.167.181.0/2492.167.181.1 to 92.167.181.25492.167.181.255254
5592.167.182.0/2492.167.182.1 to 92.167.182.25492.167.182.255254
5692.167.183.0/2492.167.183.1 to 92.167.183.25492.167.183.255254
5792.167.184.0/2492.167.184.1 to 92.167.184.25492.167.184.255254
5892.167.185.0/2492.167.185.1 to 92.167.185.25492.167.185.255254
5992.167.186.0/2492.167.186.1 to 92.167.186.25492.167.186.255254
6092.167.187.0/2492.167.187.1 to 92.167.187.25492.167.187.255254
6192.167.188.0/2492.167.188.1 to 92.167.188.25492.167.188.255254
6292.167.189.0/2492.167.189.1 to 92.167.189.25492.167.189.255254
6392.167.190.0/2492.167.190.1 to 92.167.190.25492.167.190.255254
6492.167.191.0/2492.167.191.1 to 92.167.191.25492.167.191.255254
6592.167.192.0/2492.167.192.1 to 92.167.192.25492.167.192.255254
6692.167.193.0/2492.167.193.1 to 92.167.193.25492.167.193.255254
6792.167.194.0/2492.167.194.1 to 92.167.194.25492.167.194.255254
6892.167.195.0/2492.167.195.1 to 92.167.195.25492.167.195.255254
6992.167.196.0/2492.167.196.1 to 92.167.196.25492.167.196.255254
7092.167.197.0/2492.167.197.1 to 92.167.197.25492.167.197.255254
7192.167.198.0/2492.167.198.1 to 92.167.198.25492.167.198.255254
7292.167.199.0/2492.167.199.1 to 92.167.199.25492.167.199.255254
7392.167.200.0/2492.167.200.1 to 92.167.200.25492.167.200.255254
7492.167.201.0/2492.167.201.1 to 92.167.201.25492.167.201.255254
7592.167.202.0/2492.167.202.1 to 92.167.202.25492.167.202.255254
7692.167.203.0/2492.167.203.1 to 92.167.203.25492.167.203.255254
7792.167.204.0/2492.167.204.1 to 92.167.204.25492.167.204.255254
7892.167.205.0/2492.167.205.1 to 92.167.205.25492.167.205.255254
7992.167.206.0/2492.167.206.1 to 92.167.206.25492.167.206.255254
8092.167.207.0/2492.167.207.1 to 92.167.207.25492.167.207.255254
8192.167.208.0/2492.167.208.1 to 92.167.208.25492.167.208.255254
8292.167.209.0/2492.167.209.1 to 92.167.209.25492.167.209.255254
8392.167.210.0/2492.167.210.1 to 92.167.210.25492.167.210.255254
8492.167.211.0/2492.167.211.1 to 92.167.211.25492.167.211.255254
8592.167.212.0/2492.167.212.1 to 92.167.212.25492.167.212.255254
8692.167.213.0/2492.167.213.1 to 92.167.213.25492.167.213.255254
8792.167.214.0/2492.167.214.1 to 92.167.214.25492.167.214.255254
8892.167.215.0/2492.167.215.1 to 92.167.215.25492.167.215.255254
8992.167.216.0/2492.167.216.1 to 92.167.216.25492.167.216.255254
9092.167.217.0/2492.167.217.1 to 92.167.217.25492.167.217.255254
9192.167.218.0/2492.167.218.1 to 92.167.218.25492.167.218.255254
9292.167.219.0/2492.167.219.1 to 92.167.219.25492.167.219.255254
9392.167.220.0/2492.167.220.1 to 92.167.220.25492.167.220.255254
9492.167.221.0/2492.167.221.1 to 92.167.221.25492.167.221.255254
9592.167.222.0/2492.167.222.1 to 92.167.222.25492.167.222.255254
9692.167.223.0/2492.167.223.1 to 92.167.223.25492.167.223.255254
9792.167.224.0/2492.167.224.1 to 92.167.224.25492.167.224.255254
9892.167.225.0/2492.167.225.1 to 92.167.225.25492.167.225.255254
9992.167.226.0/2492.167.226.1 to 92.167.226.25492.167.226.255254
10092.167.227.0/2492.167.227.1 to 92.167.227.25492.167.227.255254
10192.167.228.0/2492.167.228.1 to 92.167.228.25492.167.228.255254
10292.167.229.0/2492.167.229.1 to 92.167.229.25492.167.229.255254
10392.167.230.0/2492.167.230.1 to 92.167.230.25492.167.230.255254
10492.167.231.0/2492.167.231.1 to 92.167.231.25492.167.231.255254
10592.167.232.0/2492.167.232.1 to 92.167.232.25492.167.232.255254
10692.167.233.0/2492.167.233.1 to 92.167.233.25492.167.233.255254
10792.167.234.0/2492.167.234.1 to 92.167.234.25492.167.234.255254
10892.167.235.0/2492.167.235.1 to 92.167.235.25492.167.235.255254
10992.167.236.0/2492.167.236.1 to 92.167.236.25492.167.236.255254
11092.167.237.0/2492.167.237.1 to 92.167.237.25492.167.237.255254
11192.167.238.0/2492.167.238.1 to 92.167.238.25492.167.238.255254
11292.167.239.0/2492.167.239.1 to 92.167.239.25492.167.239.255254
11392.167.240.0/2492.167.240.1 to 92.167.240.25492.167.240.255254
11492.167.241.0/2492.167.241.1 to 92.167.241.25492.167.241.255254
11592.167.242.0/2492.167.242.1 to 92.167.242.25492.167.242.255254
11692.167.243.0/2492.167.243.1 to 92.167.243.25492.167.243.255254
11792.167.244.0/2492.167.244.1 to 92.167.244.25492.167.244.255254
11892.167.245.0/2492.167.245.1 to 92.167.245.25492.167.245.255254
11992.167.246.0/2492.167.246.1 to 92.167.246.25492.167.246.255254
12092.167.247.0/2492.167.247.1 to 92.167.247.25492.167.247.255254
12192.167.248.0/2492.167.248.1 to 92.167.248.25492.167.248.255254
12292.167.249.0/2492.167.249.1 to 92.167.249.25492.167.249.255254
12392.167.250.0/2492.167.250.1 to 92.167.250.25492.167.250.255254
12492.167.251.0/2492.167.251.1 to 92.167.251.25492.167.251.255254
12592.167.252.0/2492.167.252.1 to 92.167.252.25492.167.252.255254
12692.167.253.0/2492.167.253.1 to 92.167.253.25492.167.253.255254
12792.167.254.0/2492.167.254.1 to 92.167.254.25492.167.254.255254
12892.167.255.0/2492.167.255.1 to 92.167.255.25492.167.255.255254

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses